#!/usr/bin/env python

from setuptools import setup, find_namespace_packages

###################################################################

KEYWORDS = ['p2.ui.experiments', ]
CLASSIFIERS = [
    'Development Status :: 2 - Pre-Alpha',
    'Intended Audience :: Developers',
    'License :: OSI Approved :: BSD License',
    'Natural Language :: English',
    'Programming Language :: Python :: 3 :: Only',
    'Programming Language :: Python :: 3.7',
    'Programming Language :: Python :: 3.8',
    'Programming Language :: Python :: 3.9',
]

###################################################################

with open('README.md') as readme_file:
    readme = readme_file.read()

requirements = [
        'flask'
        ]

setup(
    name='p2.ui.experiments',
    author='Marco Masetti',
    author_email='marco.masetti@gmail.com',
    description='A P2 base class to manage reports',
    long_description=readme,
    long_description_content_type="text/markdown",
    license='BSD',
    url='https://github.com/sky-uk/p2.ui.experiments',
    keywords=KEYWORDS,
    classifiers=CLASSIFIERS,
    install_requires=requirements,
    include_package_data=True,
    packages=find_namespace_packages(),
    zip_safe=False,
    version='0.1.6'
)
